import { jsx } from "react/jsx-runtime";
import { TokenKAI as TokenKAI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenKAI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "KAI", "data-name": "TokenKAI", ...props, children: /* @__PURE__ */ jsx(TokenKAI$1, { variant }) });
  }
);
TokenKAI.displayName = "TokenKAI";
Object.assign(TokenKAI, { isGdsIcon: true });
export {
  TokenKAI
};
